glibmm 2.86.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gio::UnixCredentialsMessage Class Reference
Portable Network I/O Functionality

UnixCredentialsMessage - A SocketControlMessage containing credentials. More...

`#include <giomm/unixcredentialsmessage.h>`

Inheritance diagram for Gio::UnixCredentialsMessage:
[legend]

## Public Member Functions
| UnixCredentialsMessage (UnixCredentialsMessage && src) noexcept
UnixCredentialsMessage & | operator= (UnixCredentialsMessage && src) noexcept
| ~UnixCredentialsMessage () noexcept override
GUnixCredentialsMessage * | gobj ()
| Provides access to the underlying C GObject.
const GUnixCredentialsMessage * | gobj () const
| Provides access to the underlying C GObject.
GUnixCredentialsMessage * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Credentials > | get_credentials ()
| Gets the credentials stored in message.
Glib::RefPtr< const Credentials > | get_credentials () const
| Gets the credentials stored in message.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Credentials > > | property_credentials () const
| The credentials stored in the message.
Public Member Functions inherited from Gio::SocketControlMessage
| SocketControlMessage (SocketControlMessage && src) noexcept
SocketControlMessage & | operator= (SocketControlMessage && src) noexcept
| ~SocketControlMessage () noexcept override
GSocketControlMessage * | gobj ()
| Provides access to the underlying C GObject.
const GSocketControlMessage * | gobj () const
| Provides access to the underlying C GObject.
GSocketControlMessage * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
int | get_level () const
| Returns the "level" (i.e. the originating protocol) of the control message.
int | get_msg_type () const
| Returns the protocol specific type of the control message.
gsize | get_size () const
| Returns the space required for the control message, not including headers or alignment.
void | serialize (gpointer data)
| Converts the data in the message to bytes placed in the message.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
void * | get_data (const QueryQuark & key)
void | set_data (const Quark & key, void * data)
void | set_data_with_c_callback (const Quark & key, void * data, GDestroyNotify notify)
void | set_data (const Quark & key, void * data, DestroyNotify notify)
| Prefer set_data_with_c_callback() with a callback with C linkage.
void | remove_data (const QueryQuark & quark)
void * | steal_data (const QueryQuark & quark)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
PropertyType | get_property (const Glib::ustring & property_name) const
| You probably want to use a specific property_*() accessor method instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void()> & slot)
| You can use the signal_changed() signal of the property proxy instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void()> && slot)
| You can use the signal_changed() signal of the property proxy instead.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< UnixCredentialsMessage > | create ()
| Creates a new UnixCredentialsMessage with credentials matching the current processes.
static Glib::RefPtr< UnixCredentialsMessage > | create (const Glib::RefPtr< Credentials > & credentials)
| Creates a new UnixCredentialsMessage holding credentials.
static bool | is_supported ()
| Checks if passing Credentials on a Socket is supported on this platform.
Static Public Member Functions inherited from Gio::SocketControlMessage
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< SocketControlMessage > | deserialize (int level, int type, gsize size, gpointer data)
| Tries to deserialize a socket control message of a given level and type.

## Protected Member Functions
| UnixCredentialsMessage ()
| UnixCredentialsMessage (const Glib::RefPtr< Credentials > & credentials)
Protected Member Functions inherited from Gio::SocketControlMessage
| SocketControlMessage ()
virtual gsize | get_size_vfunc () const
virtual int | get_level_vfunc () const
virtual int | get_type_vfunc () const
virtual void | serialize_vfunc (gpointer data)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams & construct_params)
| Object (GObject * castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char * custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info & custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
| ObjectBase (ObjectBase && src) noexcept
ObjectBase & | operator= (ObjectBase && src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject * castitem)
void | initialize_move (GObject * castitem, Glib::ObjectBase * previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gio::UnixCredentialsMessage > | wrap (GUnixCredentialsMessage * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gio::SocketControlMessage
Glib::RefPtr< Gio::SocketControlMessage > | wrap (GSocketControlMessage * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject * object, bool take_copy=false)

## Additional Inherited Members
Public Types inherited from Glib::Object
using | DestroyNotify = void (*)(gpointer data)
Protected Types inherited from Gio::SocketControlMessage
using | DeserializeFunc
| Pointer to a function that can be called from deserialize() or g_socket_control_message_deserialize().
Static Protected Member Functions inherited from Gio::SocketControlMessage
static void | add_deserialize_func (DeserializeFunc func)
| Register a deserialize function.

## Detailed Description

UnixCredentialsMessage - A SocketControlMessage containing credentials.

This SocketControlMessage contains a Credentials instance. It may be sent using Gio::Socket::send() and received using Gio::Socket::receive() over UNIX sockets (ie: sockets in the Gio::SOCKET_FAMILY_UNIX family).

For an easier way to send and receive credentials over stream-oriented UNIX sockets, see Gio::UnixConnection::send_credentials() and Gio::UnixConnection::receive_credentials(). To receive credentials of a foreign process connected to a socket, use Gio::Socket::get_credentials().

Since glibmm 2.28

## Constructor & Destructor Documentation

## ◆ UnixCredentialsMessage() [1/3]

Gio::UnixCredentialsMessage::UnixCredentialsMessage | ( | UnixCredentialsMessage && | src | ) |
| noexcept

## ◆ ~UnixCredentialsMessage()

Gio::UnixCredentialsMessage::~UnixCredentialsMessage | ( |  | ) |
| override noexcept

## ◆ UnixCredentialsMessage() [2/3]

Gio::UnixCredentialsMessage::UnixCredentialsMessage | ( |  | ) |
| protected

## ◆ UnixCredentialsMessage() [3/3]

Gio::UnixCredentialsMessage::UnixCredentialsMessage | ( | const Glib::RefPtr< Credentials > & | credentials | ) |
| explicit protected

## Member Function Documentation

## ◆ create() [1/2]

Glib::RefPtr< UnixCredentialsMessage > Gio::UnixCredentialsMessage::create | ( |  | ) |
| static

Creates a new UnixCredentialsMessage with credentials matching the current processes.

Since glibmm 2.26

Returns
  A new UnixCredentialsMessage.

## ◆ create() [2/2]

Glib::RefPtr< UnixCredentialsMessage > Gio::UnixCredentialsMessage::create | ( | const Glib::RefPtr< Credentials > & | credentials | ) |
| static

Creates a new UnixCredentialsMessage holding credentials.

Since glibmm 2.26

Parameters

  credentials | A Credentials object.

Returns
  A new UnixCredentialsMessage.

## ◆ get_credentials() [1/2]

Glib::RefPtr< Credentials > Gio::UnixCredentialsMessage::get_credentials | ( |  | ) |

Gets the credentials stored in message.

Since glibmm 2.26

Returns
  A Credentials instance. Do not free, it is owned by message.

## ◆ get_credentials() [2/2]

Glib::RefPtr< const Credentials > Gio::UnixCredentialsMessage::get_credentials | ( |  | ) | const

Gets the credentials stored in message.

Since glibmm 2.26

Returns
  A Credentials instance. Do not free, it is owned by message.

## ◆ get_type()

GType Gio::UnixCredentialsMessage::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GUnixCredentialsMessage * Gio::UnixCredentialsMessage::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GUnixCredentialsMessage * Gio::UnixCredentialsMessage::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GUnixCredentialsMessage * Gio::UnixCredentialsMessage::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ is_supported()

bool Gio::UnixCredentialsMessage::is_supported | ( |  | ) |
| static

Checks if passing Credentials on a Socket is supported on this platform.

Since glibmm 2.26

Returns
  true if supported, false otherwise.

## ◆ operator=()

UnixCredentialsMessage & Gio::UnixCredentialsMessage::operator= | ( | UnixCredentialsMessage && | src | ) |
| noexcept

## ◆ property_credentials()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Credentials > > Gio::UnixCredentialsMessage::property_credentials | ( |  | ) | const

The credentials stored in the message.

Since glibmm 2.26

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gio::UnixCredentialsMessage > wrap | ( | GUnixCredentialsMessage * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.